Create a context password
POST/nevisidm/api/core/v1/:clientExtId/users/:userExtId/context-passwords
Since: 2.73.0
Required permission(s): AccessControl.CredentialCreate
Creates a context password credential for the user with the given external ID, belonging to the specified client.
If the associated password policy has resetCodeEnabled set to true, the password is auto-generated and a password fragment is returned in the response body. If resetCodeEnabled is false, the password must be provided in the request body and no content is returned.
Each context value must be unique per user. The context is immutable after creation.
In case the password creation fails because the provided password violates password policies, all the related policy violations will be included in the error response.
Request
Responses
- 201
- 403
- 404
- 422
Context password created, password fragment returned
Response Headers
URL of the created resource
Insufficient permissions
Referenced resource not found
Invalid request parameters